// this script controls the winshade mode

#include "../../../lib/std.mi"

global Button shadePrev, shadePlay, shadePause, shadeStop, shadeNext, shadeEject, shadePLButton, shadeEQButton, shadeMinButton, shadeNormButton, shadeCloseButton, shadePLClose, shadeEQClose;
global Layer shadeBack, shadeScreen, shadePlBack, shadePlBackOver, shadePLScreen, shadeEqBack, shadeEqBackOver, shadeVolBar, shadeSeekBar, eqCloseBack, plCloseBack, minBack, normalBack, closeBack, plButtonBack, eqButtonBack;
global Text shadeTimer, shadeName, shadeLength;
global Vis shadeVis;
global Slider shadeVol, shadeSeek;
global AnimatedLayer shadeBar;
global Int barOpen, plOpen, barPressed, eqOpen;

System.onScriptUnloading() {}

System.onScriptLoaded()
{
  shadePrev = getContainer("Main").getLayout("shade").getObject("shade.prev");
  shadePlay = getContainer("Main").getLayout("shade").getObject("shade.play");
  shadePause = getContainer("Main").getLayout("shade").getObject("shade.pause");
  shadeStop = getContainer("Main").getLayout("shade").getObject("shade.stop");
  shadeNext = getContainer("Main").getLayout("shade").getObject("shade.next");
  shadeEject = getContainer("Main").getLayout("shade").getObject("shade.eject");
  shadePLButton = getContainer("Main").getLayout("shade").getObject("pl");
  shadeEQButton = getContainer("Main").getLayout("shade").getObject("eq");
  shadeMinButton = getContainer("Main").getLayout("shade").getObject("min");
  shadeNormButton = getContainer("Main").getLayout("shade").getObject("normal");
  shadeCloseButton = getContainer("Main").getLayout("shade").getObject("close");
  shadePLClose = getContainer("Main").getLayout("shade").getObject("shade.pl.close");
  shadeEQClose = getContainer("Main").getLayout("shade").getObject("shade.eq.close");

  shadeBack = getContainer("Main").getLayout("shade").getObject("shade.back");
  shadeScreen = getContainer("Main").getLayout("shade").getObject("shade.screen");
  shadePlBack = getContainer("Main").getLayout("shade").getObject("shade.pl.back");
  shadePlBackOver = getContainer("Main").getLayout("shade").getObject("shade.pl.overlay");
  shadePLScreen = getContainer("Main").getLayout("shade").getObject("shade.pl.screen");
  shadeEqBack = getContainer("Main").getLayout("shade").getObject("shade.eq.back");
  shadeEqBackOver = getContainer("Main").getLayout("shade").getObject("shade.eq.overlay");
  shadeVolBar = getContainer("Main").getLayout("shade").getObject("shade.eq.voltrack");
  shadeSeekBar = getContainer("Main").getLayout("shade").getObject("shade.eq.seektrack");
  eqCloseBack = getContainer("Main").getLayout("shade").getObject("shade.eq.close.back");
  plCloseBack = getContainer("Main").getLayout("shade").getObject("shade.pl.close.back");
  minBack = getContainer("Main").getLayout("shade").getObject("shade.min.back");
  normalBack = getContainer("Main").getLayout("shade").getObject("shade.normal.back");
  closeBack = getContainer("Main").getLayout("shade").getObject("shade.close.back");
  plButtonBack = getContainer("Main").getLayout("shade").getObject("shade.pl.button.back");
  eqButtonBack = getContainer("Main").getLayout("shade").getObject("shade.eq.button.back");

  shadeTimer = getContainer("Main").getLayout("shade").getObject("timer");
  shadeName = getContainer("Main").getLayout("shade").getObject("shadesongticker");
  shadeLength = getContainer("Main").getLayout("shade").getObject("shadesonglength");

  shadeVis = getContainer("Main").getLayout("shade").getObject("shade.vis");

  shadeVol = getContainer("Main").getLayout("shade").getObject("Volume");
  shadeSeek = getContainer("Main").getLayout("shade").getObject("Seeker");

  shadeBar = getContainer("Main").getLayout("shade").getObject("winshade.bar.anim");

  shadePrev.hide();
  shadePlay.hide();
  shadePause.hide();
  shadeStop.hide();
  shadeNext.hide();
  shadeEject.hide();
  plButtonBack.hide();
  eqButtonBack.hide();
  minBack.hide();
  normalBack.hide();
  closeBack.hide();
  shadePLButton.hide();
  shadeEQButton.hide();
  shadeMinButton.hide();
  shadeNormButton.hide();
  shadeCloseButton.hide();
  shadeScreen.hide();
  shadeTimer.hide();
  shadeVis.hide();

  shadePLBack.hide();
  shadePLBackOver.hide();
  shadePLScreen.hide();
  plCloseBack.hide();
  shadePLClose.hide();
  shadeName.hide();
  shadeLength.hide();

  shadeEQBack.hide();
  shadeEQBackOver.hide();
  shadeVolBar.hide();
  shadeSeekBar.hide();
  eqCloseBack.hide();
  shadeEQClose.hide();
  shadeVol.hide();
  shadeSeek.hide();

  barOpen = 0;
  plOpen = 0;
  barPressed = 0;
  eqOpen = 0;
}

shadeBack.onLeftButtonDown(int x, int y)
{
  if(barOpen == 0)
  {
    shadeBar.setStartFrame(0);
    shadeBar.setEndFrame(31);
    shadeBar.play();
    barOpen = 1;
  }
  else if(barOpen == 1 && plOpen == 2 && eqOpen == 2)
  {
    shadePLScreen.hide();
    plCloseBack.hide();
    shadePLClose.hide();
    shadeName.hide();
    shadeLength.hide();
    shadeVolBar.hide();
    shadeSeekBar.hide();
    eqCloseBack.hide();
    shadeEQClose.hide();
    shadeVol.hide();
    shadeSeek.hide();

    shadePLBack.setTargetX(92);
    shadePLBackOver.setTargetX(92);
    shadePLBack.setTargetY(26);
    shadePLBackOver.setTargetY(26);
    shadePLBack.setTargetSpeed(1);
    shadePLBackOver.setTargetSpeed(1);
    shadeEQBack.setTargetX(86);
    shadeEQBackOver.setTargetX(86);
    shadeEQBack.setTargetY(26);
    shadeEQBackOver.setTargetY(26);
    shadeEQBack.setTargetSpeed(1);
    shadeEQBackOver.setTargetSpeed(1);

    shadePLBack.gotoTarget();
    shadePLBackOver.gotoTarget();
    shadeEQBack.gotoTarget();
    shadeEQBackOver.gotoTarget();

    eqOpen = 3;
    plOpen = 3;
    barPressed = 1;
  }
  else if(barOpen == 1 && plOpen == 2)
  {
    shadePLScreen.hide();
    plCloseBack.hide();
    shadePLClose.hide();
    shadeName.hide();
    shadeLength.hide();

    shadePLBack.setTargetX(92);
    shadePLBackOver.setTargetX(92);
    shadePLBack.setTargetY(26);
    shadePLBackOver.setTargetY(26);
    shadePLBack.setTargetSpeed(1);
    shadePLBackOver.setTargetSpeed(1);

    shadePLBack.gotoTarget();
    shadePLBackOver.gotoTarget();

    plOpen = 3;
    barPressed = 1;
  }
  else if(barOpen == 1 && eqOpen == 2)
  {
    shadeVolBar.hide();
    shadeSeekBar.hide();
    eqCloseBack.hide();
    shadeEQClose.hide();
    shadeVol.hide();
    shadeSeek.hide();

    shadeEQBack.setTargetX(86);
    shadeEQBackOver.setTargetX(86);
    shadeEQBack.setTargetY(26);
    shadeEQBackOver.setTargetY(26);
    shadeEQBack.setTargetSpeed(1);
    shadeEQBackOver.setTargetSpeed(1);

    shadeEQBack.gotoTarget();
    shadeEQBackOver.gotoTarget();

    eqOpen = 3;
    barPressed = 1;
  }
  else
  {
    shadePrev.hide();
    shadePlay.hide();
    shadePause.hide();
    shadeStop.hide();
    shadeNext.hide();
    shadeEject.hide();
    plButtonBack.hide();
    eqButtonBack.hide();
    minBack.hide();
    normalBack.hide();
    closeBack.hide();
    shadePLButton.hide();
    shadeEQButton.hide();
    shadeMinButton.hide();
    shadeNormButton.hide();
    shadeCloseButton.hide();
    shadeScreen.hide();
    shadeTimer.hide();
    shadeVis.hide();

    shadeBar.setStartFrame(31);
    shadeBar.setEndFrame(0);
    shadeBar.play();
    barOpen = 0;
  }
}

shadeBar.onStop()
{
  if(barOpen == 1)
  {
    shadePrev.show();
    shadePlay.show();
    shadePause.show();
    shadeStop.show();
    shadeNext.show();
    shadeEject.show();
    plButtonBack.show();
    eqButtonBack.show();
    minBack.show();
    normalBack.show();
    closeBack.show();
    shadePLButton.show();
    shadeEQButton.show();
    shadeMinButton.show();
    shadeNormButton.show();
    shadeCloseButton.show();
    shadeScreen.show();
    shadeTimer.show();
    shadeVis.show();
  }
}

shadePLButton.onLeftClick()
{
  if(plOpen == 0)
  {
    shadePLBack.show();
    shadePLBackOver.show();

    shadePLBack.setTargetX(92);
    shadePLBackOver.setTargetX(92);
    shadePLBack.setTargetY(26);
    shadePLBackOver.setTargetY(26);
    shadePLBack.setTargetSpeed(1);
    shadePLBackOver.setTargetSpeed(1);

    shadePLBack.gotoTarget();
    shadePLBackOver.gotoTarget();

    plOpen = 1;
  }
  else
  {
    shadePLScreen.hide();
    plCloseBack.hide();
    shadePLClose.hide();
    shadeName.hide();
    shadeLength.hide();

    shadePLBack.setTargetX(92);
    shadePLBackOver.setTargetX(92);
    shadePLBack.setTargetY(26);
    shadePLBackOver.setTargetY(26);
    shadePLBack.setTargetSpeed(1);
    shadePLBackOver.setTargetSpeed(1);

    shadePLBack.gotoTarget();
    shadePLBackOver.gotoTarget();

    plOpen = 3;
  }
}

shadePLBack.onTargetReached()
{
  if(plOpen == 1)
  {
    shadePLBack.setTargetX(4);
    shadePLBackOver.setTargetX(4);
    shadePLBack.setTargetY(26);
    shadePLBackOver.setTargetY(26);
    shadePLBack.setTargetSpeed(1);
    shadePLBackOver.setTargetSpeed(1);

    shadePLBack.gotoTarget();
    shadePLBackOver.gotoTarget();

    plOpen = 2;
  }
  else if(plOpen == 2)
  {
    shadePLScreen.show();
    plCloseBack.show();
    shadePLClose.show();
    shadeName.show();
    shadeLength.show();
  }
  else if(plOpen == 3)
  {
    shadePLBack.setTargetX(92);
    shadePLBackOver.setTargetX(92);
    shadePLBack.setTargetY(5);
    shadePLBackOver.setTargetY(5);
    shadePLBack.setTargetSpeed(1);
    shadePLBackOver.setTargetSpeed(1);

    shadePLBack.gotoTarget();
    shadePLBackOver.gotoTarget();

    plOpen = 0;
  }
  else if(plOpen == 0 && barPressed == 1)
  {
    shadePLBack.hide();
    shadePLBackOver.hide();

    shadePrev.hide();
    shadePlay.hide();
    shadePause.hide();
    shadeStop.hide();
    shadeNext.hide();
    shadeEject.hide();
    plButtonBack.hide();
    eqButtonBack.hide();
    minBack.hide();
    normalBack.hide();
    closeBack.hide();
    shadePLButton.hide();
    shadeEQButton.hide();
    shadeMinButton.hide();
    shadeNormButton.hide();
    shadeCloseButton.hide();
    shadeScreen.hide();
    shadeTimer.hide();
    shadeVis.hide();

    shadeBar.setStartFrame(31);
    shadeBar.setEndFrame(0);
    shadeBar.play();

    barOpen = 0;
    barPressed = 0;
  }
  else
  {
    shadePLBack.hide();
    shadePLBackOver.hide();
  }
}

shadePLClose.onLeftClick()
{
  shadePLScreen.hide();
  plCloseBack.hide();
  shadePLClose.hide();
  shadeName.hide();
  shadeLength.hide();

  shadePLBack.setTargetX(92);
  shadePLBackOver.setTargetX(92);
  shadePLBack.setTargetY(26);
  shadePLBackOver.setTargetY(26);
  shadePLBack.setTargetSpeed(1);
  shadePLBackOver.setTargetSpeed(1);

  shadePLBack.gotoTarget();
  shadePLBackOver.gotoTarget();

  plOpen = 3;
}

shadeEQButton.onLeftClick()
{
  if(eqOpen == 0)
  {
    shadeEQBack.show();
    shadeEQBackOver.show();

    shadeEQBack.setTargetX(86);
    shadeEQBackOver.setTargetX(86);
    shadeEQBack.setTargetY(26);
    shadeEQBackOver.setTargetY(26);
    shadeEQBack.setTargetSpeed(1);
    shadeEQBackOver.setTargetSpeed(1);

    shadeEQBack.gotoTarget();
    shadeEQBackOver.gotoTarget();

    eqOpen = 1;
  }
  else
  {
    shadeVolBar.hide();
    shadeSeekBar.hide();
    eqCloseBack.hide();
    shadeEQClose.hide();
    shadeVol.hide();
    shadeSeek.hide();

    shadeEQBack.setTargetX(86);
    shadeEQBackOver.setTargetX(86);
    shadeEQBack.setTargetY(26);
    shadeEQBackOver.setTargetY(26);
    shadeEQBack.setTargetSpeed(1);
    shadeEQBackOver.setTargetSpeed(1);

    shadeEQBack.gotoTarget();
    shadeEQBackOver.gotoTarget();

    eqOpen = 3;
  }
}

shadeEQBack.onTargetReached()
{
  if(eqOpen == 1)
  {
    shadeEQBack.setTargetX(232);
    shadeEQBackOver.setTargetX(232);
    shadeEQBack.setTargetY(26);
    shadeEQBackOver.setTargetY(26);
    shadeEQBack.setTargetSpeed(1);
    shadeEQBackOver.setTargetSpeed(1);

    shadeEQBack.gotoTarget();
    shadeEQBackOver.gotoTarget();

    eqOpen = 2;
  }
  else if(eqOpen == 2)
  {
    shadeVolBar.show();
    shadeSeekBar.show();
    eqCloseBack.show();
    shadeEQClose.show();
    shadeVol.show();
    shadeSeek.show();
  }
  else if(eqOpen == 3)
  {
    shadeEQBack.setTargetX(86);
    shadeEQBackOver.setTargetX(86);
    shadeEQBack.setTargetY(5);
    shadeEQBackOver.setTargetY(5);
    shadeEQBack.setTargetSpeed(1);
    shadeEQBackOver.setTargetSpeed(1);

    shadeEQBack.gotoTarget();
    shadeEQBackOver.gotoTarget();

    eqOpen = 0;
  }
  else if(eqOpen == 0 && barPressed == 1)
  {
    shadeEQBack.hide();
    shadeEQBackOver.hide();

    shadePrev.hide();
    shadePlay.hide();
    shadePause.hide();
    shadeStop.hide();
    shadeNext.hide();
    shadeEject.hide();
    plButtonBack.hide();
    eqButtonBack.hide();
    minBack.hide();
    normalBack.hide();
    closeBack.hide();
    shadePLButton.hide();
    shadeEQButton.hide();
    shadeMinButton.hide();
    shadeNormButton.hide();
    shadeCloseButton.hide();
    shadeScreen.hide();
    shadeTimer.hide();
    shadeVis.hide();

    shadeBar.setStartFrame(31);
    shadeBar.setEndFrame(0);
    shadeBar.play();

    barOpen = 0;
    barPressed = 0;
  }
  else
  {
    shadeEQBack.hide();
    shadeEQBackOver.hide();
  }
}

shadeEQClose.onLeftClick()
{
  shadeVolBar.hide();
  shadeSeekBar.hide();
  eqCloseBack.hide();
  shadeEQClose.hide();
  shadeVol.hide();
  shadeSeek.hide();

  shadeEQBack.setTargetX(86);
  shadeEQBackOver.setTargetX(86);
  shadeEQBack.setTargetY(26);
  shadeEQBackOver.setTargetY(26);
  shadeEQBack.setTargetSpeed(1);
  shadeEQBackOver.setTargetSpeed(1);

  shadeEQBack.gotoTarget();
  shadeEQBackOver.gotoTarget();

  eqOpen = 3;
}