// this script controls the animation of the thinger

#include "../../../lib/std.mi"

global Group thingerGroup, effectsGroup;
global Button thingerButton, thingerNext, thingerPrev;
global Layer thingerScreen, thingerTitle,nextBack, prevBack, nextIcon, prevIcon;
global AnimatedLayer thingerBar, thingerBack, thingerOverlay;
global int thingOpen, barOpen, backOpen;
global ComponentBucket bucket;

System.onScriptUnloading() {}

System.onScriptLoaded()
{
  effectsGroup = getContainer("Main").getLayout("Normal").getObject("player.effectbuttons");
  thingerGroup = getContainer("Main").getLayout("Normal").getObject("thinger");
  thingerButton = effectsGroup.getObject("player.thinger.home");
  thingerBar = thingerGroup.getObject("player.thinger.bar.anim");
  thingerBack = thingerGroup.getObject("player.thinger.back");
  thingerOverlay = thingerGroup.getObject("player.thinger.overlay");
  thingerNext = thingerGroup.getObject("back");
  thingerPrev = thingerGroup.getObject("next");
  thingerScreen = thingerGroup.getObject("player.thinger.screen");
  thingerTitle = thingerGroup.getObject("player.thinger.title");
  prevBack =  thingerGroup.getObject("thinger.back.back");
  nextBack =  thingerGroup.getObject("thinger.next.back");
  nextIcon = thingerGroup.getObject("thinger.nextimg");
  prevIcon = thingerGroup.getObject("thinger.previmg");
  bucket = thingerGroup.getObject("Components");

  thingerNext.hide();
  thingerPrev.hide();
  thingerScreen.hide();
  thingerTitle.hide();
  nextBack.hide();
  prevBack.hide();
  nextIcon.hide();
  prevIcon.hide();
  bucket.hide();

  thingOpen = 0;
  barOpen = 0;
  backOpen = 0;
}

thingerButton.onLeftClick()
{
  if(thingOpen == 0)
  {
    thingerBar.setStartFrame(0);
    thingerBar.setEndFrame(31);
    thingerBar.play();
    thingOpen = 1;
  }
  else
  {
    thingerNext.hide();
    thingerPrev.hide();
    thingerScreen.hide();
    thingerTitle.hide();
    nextBack.hide();
    prevBack.hide();
    nextIcon.hide();
    prevIcon.hide();
    bucket.hide();

    thingerBack.setStartFrame(7);
    thingerBack.setEndFrame(0);
    thingerOverlay.setStartFrame(7);
    thingerOverlay.setEndFrame(0);

    thingerBack.play();
    thingerOverlay.play();
  }
}

thingerBar.onStop()
{
  if(barOpen == 0)
  {
    thingerBack.setStartFrame(0);
    thingerBack.setEndFrame(7);
    thingerOverlay.setStartFrame(0);
    thingerOverlay.setEndFrame(7);

    thingerBack.play();
    thingerOverlay.play();
    barOpen = 1;
    backOpen = 1;
  }
  else
  {
    barOpen = 0;
  }
}

thingerBack.onStop()
{
  if(backOpen == 1)
  {
    thingerNext.show();
    thingerPrev.show();
    thingerScreen.show();
    thingerTitle.show();
    nextBack.show();
    prevBack.show();
    nextIcon.show();
    prevIcon.show();
    bucket.show();
    backOpen = 0;
  }
  else
  {
    thingerBar.setStartFrame(31);
    thingerBar.setEndFrame(0);
    thingerBar.play();
    thingOpen = 0;
  }
}